
<Fa_text@TextInput>:

    text: "H"
    multiline: 0
    font_name: "data/BBadr.ttf"
    font_size: 26
    padding_y: [6,0]
    padding_x: [self.size[0]-self._get_text_width(max(self._lines, key=len), self.tab_width, self._label_cached)-20,4]

<Fa_text_2>:
    text: "H"
    multiline: 1
    font_name: "data/Tahoma Regular font.ttf"
    font_size: 26
<C_SpinnerOption@SpinnerOption>:
    background_color: (0,1,0,1) if self.state == 'down' else (0,0,1,1)
    font_name: farsi_font_1
    font_size: 16
    bold: True


<C_Spinner>:
    font_name: farsi_font_1
    font_size: 16
    bold: True
    option_cls: Factory.get("C_SpinnerOption")




<SpinBox>:
    min: 0
    max: 1000
    val: 123
    rdisabled: False
    steping: 1
    steping2: 1
    bound: 0
    pasvand: ""
    Label:
        canvas.before:
            Color:
                rgba: bg_col if root.rdisabled else (1,1,1,1)
            Rectangle:
                size: self.size
                pos: self.pos
            Color:
                rgba: (0,0,0,0) if root.rdisabled else (0,0,0,1)
            Line:
                width: .2
                rectangle: self.x, self.y, self.width, self.height

        color: 0,0,0,1
        halign: 'center'
        text: str(root.val)+root.pasvand
        font_size: 32
        size_hint: 0.7,1

    BoxLayout:
        orientation: "vertical"
        size_hint: None, None
        size: 14, 30
        #spacing: 2
        Button:
            id: UP
            #background_color: (0,0,0,0)
            background_normal: "data/icons/arr_up_s.png"
            opacity: 0 if root.rdisabled else 1
            #background_down: "data/up_off.png"
        Button:
            id: DN
            background_normal: "data/icons/arr_dn_s.png"
            opacity: 0 if root.rdisabled else 1
            #background_down: "data/dn_off.png"
            #on_press:
            #    root.val=root.val-1 if (root.val>root.min) else root.val
<Cbtn>:


<ToolTip>:
    canvas.before:
        Color:
            rgba: .7,.7,.7,.6
        RoundedRectangle:
            size: self.size
            pos: self.pos
            radius:[4,4,4,4]
    size_hint: None,None
    size: self.texture_size
    color: 0,0,0,1
    font_size: 14

<TButton_f@ToggleButton>:
    font_name: farsi_font_1
    font_size: 24
    bold: True

<Dbtn@Button>:
    font_name: farsi_font_1
    font_size: 16
    background_normal: ''
    color: 0,0,0,1
    size_hint: None,None
    height: 35
    canvas.before:
        Color:
            rgba: 0,0,0,1
        Line:
            width: 1.2
            rectangle: self.x,self.y,self.width,self.height


<Day>:
    canvas.before:
        Color:
            rgba: 0.3,0.3,0.3,0.4
        Rectangle:
            size: self.size
            pos: self.pos

<Month>:
    canvas.before:
        Color:
            rgba: 0.3,0.3,0.3,0.4
        Rectangle:
            size: self.size
            pos: self.pos

<Year>:
    canvas.before:
        Color:
            rgba: 0.3,0.3,0.3,0.4
        Rectangle:
            size: self.size
            pos: self.pos

<Keypad@GridLayout>:
    cols:3
    size_hint: None, None
    size: 200,200
    padding: 5
    spacing: 3
    canvas.before:
        Color:
            rgba: .7,.7,.8,.7
        RoundedRectangle:
            size: self.size
            pos: self.pos
            radius: [3]

    ToggleButton:
        id: b0
        text: "8"
        font_size:40
        group: "pad"
        on_state: root.parent.parent.chk(self)


    ToggleButton:
        id: b1
        text: "1"
        font_size:40
        group: "pad"
        on_state: root.parent.parent.chk(self)

    ToggleButton:
        id: b2
        text: "2"
        font_size:40
        group: "pad"
        on_state: root.parent.parent.chk(self)


    ToggleButton:
        id: b3
        text: "7"
        font_size:40
        group: "pad"
        on_state: root.parent.parent.chk(self)

    ToggleButton:
        id: b4
        text: "0"
        font_size:40
        group: "pad"
        on_state: root.parent.parent.chk(self)

    ToggleButton:
        id: b5
        text: "3"
        font_size:40
        group: "pad"
        on_state: root.parent.parent.chk(self)

    ToggleButton:
        id: b6
        text: "6"
        font_size:40
        group: "pad"
        on_state: root.parent.parent.chk(self)

    ToggleButton:
        id: b7
        text: "5"
        font_size:40
        group: "pad"
        on_state: root.parent.parent.chk(self)

    ToggleButton:
        id: b8
        text: "4"
        font_size:40
        group: "pad"
        on_state: root.parent.parent.chk(self)



<BButton_f@Button_f>:
    norm_col: (118/256, 158/256, 238/256, 1)
    down_col: (135/256., 206/256., 235/256., 1)
    dis_col: (.2, .2, .2, .6)
    background_color: 0,0,0,0
    background_normal: ""
    background_down: ""
    canvas.before:
        Color:
            rgba: self.dis_col if self.disabled else (self.norm_col if self.state == "normal" else self.down_col)
        RoundedRectangle:
            size: self.size
            pos: self.pos
            radius: [5,5,5,5]#int(self.size[0]*.4),int(self.size[0]*.4),int(self.size[0]*.4),int(self.size[0]*.4)]
